Skip to main content
`Ctrl`+`K`

# MatPartitioningSetType

Sets the type of partitioner to use

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPartitioningSetType(MatPartitioning part, MatPartitioningType type)

Collective

## Input Parameters

- part - the partitioning context.

- type - a known method

## Options Database Key

- -mat_partitioning_type type - (for instance, parmetis), see `MatPartitioningType`

## See Also

Matrices, `Mat`, `MatPartitioning`, `MatPartitioningCreate()`, `MatPartitioningApply()`, `MatPartitioningType`

## Level

intermediate

## Location

src/mat/graphops/partition/partition.c

## Examples

src/ksp/ksp/tutorials/ex64.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages